XCB 1.16

Data Fields
xcb_input_device_ctl_data_t Struct Reference
XCB Input API

xcb_input_device_ctl_data_t More...

`#include <xinput.h>`

## Data Fields
struct { |
uint8_t first_valuator |
uint8_t num_valuators |
uint8_t pad0 [2] |
uint32_t * resolution_values |
} | resolution |
struct { |
int32_t min_x |
int32_t max_x |
int32_t min_y |
int32_t max_y |
uint32_t flip_x |
uint32_t flip_y |
uint32_t rotation |
uint32_t button_threshold |
} | abs_calib |
struct { |
uint8_t status |
uint8_t pad1 [3] |
} | core |
struct { |
uint8_t enable |
uint8_t pad2 [3] |
} | enable |
struct { |
uint32_t offset_x |
uint32_t offset_y |
int32_t width |
int32_t height |
int32_t screen |
uint32_t following |
} | abs_area |

## Detailed Description

xcb_input_device_ctl_data_t

The documentation for this struct was generated from the following file:

- xinput.h